PrimeFlex conflict

Post Reply
AmirPeivandi
Posts: 2
Joined: 06 Apr 2021, 16:49

10 Sep 2021, 17:28

HiI purchased the PrimeBlocks licence and trying to use it in my project however I notices there is a conflict between using PrimeReact components and PrimeBlocks code.It seems to use PrimeReact we should use PrimeFlex 2 as per the documentation here https://primefaces.org/primereact/showc ... lexHowever PrimeBlocks use PrimeFlex 3.0 as per its documentation https://www.primefaces.org/primeblocks- ... umentation
When I switch to primeFlex 3.0 my PrimeBlocks code works fine but my code that works fine using PrimeFlex 2.0 is not rendering correctly under PrimeFlex 3!

Is there an upgrade of PrimeReact components to use PrimeFlex 3 I can use? As it is PrimeBlocks purchase is useless as I've already built a full application using PrimeReact components and I can't redo all my UI using new blocks, I need to use the blocks on new components while old components also work fine!
Any suggestions?


BestAmir

AmirPeivandi
Posts: 2
Joined: 06 Apr 2021, 16:49

14 Sep 2021, 17:56

So much for support!

cagatay.civici
Prime
Posts: 18510
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

16 Sep 2021, 14:01

We have provided a response with email as well, posting it here again;

Hi,

PrimeReact components themselves do not directly depend on the PrimeFlex so they can be used both with V2 and V3. In fact, PrimeReact can be used with any other CSS utility like Bootstrap, Tailwind ...

PrimeBlocks requires PrimeFlex v3.

For migration, please see;

https://www.primefaces.org/primeflex/migration

Regards,

Cagatay Civici
PrimeTek

Post Reply

Return to “PrimeBlocks for PrimeReact”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest